Subject: [PATCH] Add gnupg to propagated-inputs of trezor-agent

From: Marek Paśnikowski <[email-masked]>
Date: Mon, 22 Aug 2022 19:03:22 +0000

This is my first patch submission ever.
Please tell me if there is anything I did wrong.

The patch is motivated by failure of `trezor-gpg init` command.
After I applied it to the system, I was able to initialize my Trezor-based GPG identity.

From 8c8d465c28923591a5ef7124b1f6835a6f398c51 Mon Sep 17 00:00:00 2001
From: Marek Paśnikowski <[email-masked]>
Date: Mon, 22 Aug 2022 20:10:47 +0200
Subject: [PATCH] Add gnupg to propagated-inputs of trezor-agent

This fixes "OSError: Cannot find 'gpgconf' in $PATH".
---
 gnu/packages/finance.scm | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/gnu/packages/finance.scm b/gnu/packages/finance.scm
index 849f9aba99..f6c15aebdb 100644
--- a/gnu/packages/finance.scm
+++ b/gnu/packages/finance.scm
@@ -1223,6 +1223,8 @@ (define-public trezor-agent
      (list python-trezor python-trezor-agent))
     (native-inputs
      (list python-attrs))
+    (propagated-inputs
+     (list gnupg))
     (home-page "https://github.com/romanz/trezor-agent")
     (synopsis "Using Trezor as hardware SSH/GPG agent")
     (description "This package allows using Trezor as a hardware SSH/GPG
-- 
2.37.2